#
# spec file for package libica-1_3_9
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libica-1_3_9
BuildRequires:  gcc-c++ libtool openssl-devel
Summary:        An Interface Library for the ICA Device Driver
Version:        1.3.9
Release:        34.4
License:        IPL-1.0
Group:          Hardware/Other
Source:         libica-%{version}.tar.bz2
Source1:        libica-SuSE.tar.bz2
Source2:        baselibs.conf
# cvs -d :pserver:anoncvs@www-124.ibm.com:/usr/cvs/icadd \
#    export -rHEAD -d . include/linux/icaioctl.h
# or e.g. http://www-124.ibm.com/developerworks/oss/cvs/icadd/~checkout~/include/linux/icaioctl.h?rev=1.2
Source3:        icaioctl.h
Source4:        README.SUSE
Source5:        sysconfig.z90crypt
Patch1:         libica-z90crypt_h-license.patch
Patch2:         libica-buildfix.patch
Url:            http://oss.software.ibm.com/developerworks/opensource/libica
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %fillup_prereq %insserv_prereq
# bug437293
%ifarch ppc64
Obsoletes:      libica-64bit
%endif
#
Obsoletes:      libica < 1.3.9
Provides:       libica = 1.3.9

%description
This package contains the interface library routines used by IBM
modules to interface with the IBM eServer Cryptographic Accelerator
(ICA).



%prep
%setup -n libica-%{version}
%setup -n libica-%{version} -T -D -a 1
%patch1 -p1
%patch2

%build
mkdir -p include/linux/
cp %{S:3} include/linux/
#./autoversion
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -I./include"
export CPPFLAGS="$RPM_OPT_FLAGS -I./include"
./configure --libdir=%_libdir --mandir=%_mandir --prefix=%_prefix
export CFLAGS=
export CPPFLAGS=
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/include
make INSROOT=$RPM_BUILD_ROOT DESTDIR=$RPM_BUILD_ROOT bindir=%_bindir install
cp -p include/ica_api.h $RPM_BUILD_ROOT/usr/include
%ifarch s390 s390x
cp -a SuSE/* $RPM_BUILD_ROOT
install -D %{S:5} $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.z90crypt
%endif
cp -a $RPM_SOURCE_DIR/README.SUSE .

%post
/sbin/ldconfig
%ifarch s390 s390x
%{fillup_and_insserv -n z90crypt}
%endif

%preun
%stop_on_removal

%postun
%{insserv_cleanup}

%files
%defattr(-, root, root)
%doc README.SUSE
%ifarch s390 s390x
/etc/init.d/z90crypt
/usr/sbin/rcz90crypt
%attr(0644,root,root) /var/adm/fillup-templates/sysconfig.z90crypt
%{_bindir}/icainfo
%endif
%{_libdir}/libica.*
%{_libdir}/libica-*
%attr(0644,root,root) /usr/include/ica_api.h

%changelog
* Sat Nov 19 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Sun Feb 14 2010 jengelh@medozas.de
- package baselibs.conf
* Fri Jan 23 2009 jjolly@suse.de
- Moved icainfo into /usr/bin (bnc#448643)
* Tue Jan 13 2009 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Wed Nov  5 2008 ro@suse.de
- fix build on all platforms
* Sun Nov  2 2008 jjolly@suse.de
- Added CPL license to include/z90crypt.h, removed GPL reference
  (This patch is upstream)
* Wed Oct 15 2008 jjolly@suse.de
- Changed package name to libica-1_3_9 to conform to rpmlint
  requirements. (bnc#433432)
* Thu Sep 25 2008 jjolly@suse.de
- Removed soname filter for rpmlint
- Several RPM fixes to help satisfy rpmlint
* Fri Sep 12 2008 jjolly@suse.de
- Updated to libica 1.3.9
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Thu Aug  9 2007 olh@suse.de
- remove inclusion of linux/config.h
* Mon Mar 12 2007 uli@suse.de
- z90crypt: handle errors (bug #247799)
* Mon May 22 2006 aj@suse.de
- Add gcc-c++ to BuildRequires.
* Fri May 19 2006 ro@suse.de
- fix build for the rest of platforms
* Fri May 19 2006 hare@suse.de
- Update to libica 1.3.7 (#160036 - LTC22571)
* Fri Apr 21 2006 hare@suse.de
- Increasing # of open handles with symmetric crypto support
  (#165323 - LTC23095)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Dec 14 2005 ro@suse.de
- include string.h and unistd.h in icalinux.c
* Mon Dec 12 2005 hare@suse.de
- Port package from SLES9 SP3
- Update to libica 1.3.6-rc3.
* Wed Nov  2 2005 hare@suse.de
- Close all filehandles (#130060 - LTC19221).
* Wed Oct  5 2005 uli@suse.de
- downgrade to libica 1.3.6-rc2 (contains AES software fallback,
  bug #117336)
* Thu Sep 29 2005 hare@suse.de
- Update to libica 1.3.6 (#117336)
* Fri Sep 23 2005 ro@suse.de
- fix implicit declaration
* Wed Aug 31 2005 ihno@suse.de
- Changing the default value from 0 to -1 in rcz90crypt (#114371)
* Mon May 23 2005 hare@suse.de
- Finally fix 'reload' messages (#81824 - LTC15733).
* Fri May 20 2005 hare@suse.de
- Fix sigill patch.
* Wed May 18 2005 hare@suse.de
- Remove printf output from sigill patch (#81829 - LTC15731).
* Tue May 10 2005 hare@suse.de
- Use correct default value for z90crypt (#81825 - LTC15732).
* Mon May  9 2005 hare@suse.de
- Fix messages for 'reload' (#81824 - LTC15733).
* Tue Feb  8 2005 hare@suse.de
- Fixed SIGILL on z900 (#46422).
* Fri Jul 23 2004 hare@suse.de
- Fixed range for 'domain' parameter in sysconfig.z90crypt (#42005).
* Wed Jul 14 2004 hare@suse.de
- Fix module loading error (#42006).
- Add sysconfig variable to set the 'domain' parameter (#42005).
* Wed Jun 23 2004 uli@suse.de
- update -> 1.3.5-3 (bug #42122)
* Mon May 24 2004 bk@suse.de
- Update README.SuSE and correct name as well
- Use modprobe instead of insmod and fix module load error(#40526)
- Fix error checking for no hardware found case and hw error on load
* Fri May  7 2004 hare@suse.de
- Update Readme again for the correct name (SUSE LINUX Server).
- Moved README.SuSE to README.SUSE.
* Fri May  7 2004 hare@suse.de
- Update Readme to refer to the correct name (SUSE Linux Server).
* Thu May  6 2004 hare@suse.de
- Update to 1.3.5-2 (#38511, #39693).
- Update Readme to refer to SUSE Linux Server instead of
  SuSE Linux Enterprise Server.
* Thu Apr  1 2004 hare@suse.de
- Update to 1.3.5
- export CFLAGS & CPPFLAGS for configure
- Exclude S/390-specific files for other archs (#37183)
* Fri Jan 16 2004 ro@suse.de
- add "-I./include" to CFLAGS and use RPM_OPT_FLAGS
* Tue Jan 13 2004 adrian@suse.de
- fix build
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Wed Jul 30 2003 poeml@suse.de
- update to 1.3.4
* Sun Jul 27 2003 poeml@suse.de
- update to 1.3.2
* Fri Jul 11 2003 poeml@suse.de
- update to 1.3.1:
  now supports DES, TDES and SHA, as well as RSA.
- throw libica.patch away, since autoversion and Makefile.am have
  similar changes now, and the renaming from _LINUX_S390_ to
  __s390__ is not really necessary
- use %%defattr
- checked that icaioctl.h is still current
- dump the bin-only z90crypt-2.4.7-s390-2.tar.gz which has gone
  open source meanwhile and comes with the kernel sources
* Thu Oct 31 2002 froh@suse.de
- added documentation how to set up crypto hardware support,
  esp. S/390 and zSeries. (#16011, #22056)
* Thu Oct 10 2002 froh@suse.de
- upgraded to version 1.2 as requested by IBM to make openCryptoki 1.5
  actually work. (#20737)
* Tue Aug 20 2002 mmj@suse.de
- Correct PreReq
* Wed Jul 31 2002 froh@suse.de
- fixed src/Makefile.am and ugly ./autoversion to honor %%_lib and
  to build on non-s390
* Tue Jul 30 2002 froh@suse.de
- updated to current libica
- hacked in icaioctl.h for build, 'til we have the module in the
  kernel.
* Sat Jul 27 2002 adrian@suse.de
- add %%run_ldconfig
* Tue May  7 2002 ro@suse.de
- fix for current automake/autoconf
* Sat Apr 27 2002 ro@suse.de
- removed old fillup-template and START_ variable
* Wed Mar 27 2002 ihno@suse.de
- modified etc/init.d/z90crypt-script to report result at start.
* Tue Feb  5 2002 froh@suse.de
- Added openssl to #neededforbuild, which is needed in addition to
  openssl-devel
* Wed Jan 30 2002 froh@suse.de
- initial version
